Rhythm Track - Audacity Manual

# Rhythm Track

From Audacity Development Manual

Rhythm Track generates a sequence of regular pulses at the selected tempo, beats per bar and either number of bars or track duration, using a selectable sound. It can thus be used like a metronome for setting a steady beat against which an overdub recording can be made.

  Accessed by: Generate > Rhythm Track...

## Tempo (bpm)

The total number of beats, (clicks) per minute, default is 120.

## Beats per bar

The first beat of each bar is always louder than the remaining beats in the bar. So for example, three beats per bar will sound like a waltz in 3/4 time signature, and four beats per bar (the default) will sound like the 4/4 of a march or like most pop songs.

## Swing amount

When set to zero, each beat has the exact length specified by the Tempo (beats per minute). When set to a non-zero amount, alternate beats are delayed or advanced to give a swing feel. At maximum / minimum settings the rhythm plays with triplet timing.

## Number of bars

Beats per bar is repeated for the chosen number of bars. The default is 16 bars. The combination of tempo, beats per bar and number of bars determines the length of the generated track unless the rhythm track duration is specified (see the next control).

## Rhythm track duration

If you enter a value into this time control, the generated rhythm track will be at or slightly longer than this duration. The end of the track is extended into a whole bar if the entered duration does not produce a complete final bar.

## Start time offset

Makes the rhythm track start at a later point on the Timeline than the very beginning (zero seconds). The maximum is 30 seconds and the default is zero.

## Beat sound

Choose which sound to use for the beats. The default is "Metronome tick".

## MIDI pitch of strong beat

The pitch of the first beat in each bar. The MIDI values indicate what pitch to use. Examples:

- C-notes are 24, 36, 48, 60 (middle C), 72, 84, 96, 108
- C# (C sharp) above middle C is 61
- The default is 92 (G#).

## MIDI pitch of weak beat

The pitch of the remaining beats in each bar. The default is 80 (G# an octave below the strong click).

Tips:

- Once created, the track can be edited (for example, its volume changed) like any audio track.
- When exporting your finished work, use the Track Control Panel to either close or mute the Rhythm Track, so that it is not audible in the exported file.

## Buttons

Clicking on the command buttons give the following results:

- Manage gives a dropdown menu enabling you to manage presets for the tool and to see some detail about the tool. For details see Manage presets
- Preview plays a short preview of what the audio would sound like if the effect is applied with the current settings, without making actual changes to the audio. The length of preview is determined by your setting in Edit > Preferences > Playback, the default setting is 6 seconds.
- Debug applies the effect to the selected audio with the current effect settings, but unlike OK the effect runs in debug mode. This is primarily of use when writing or editing Nyquist plug-ins.
  - In addition to the normal plug-in behavior, a "debug window" opens to display error messages, normally the debug window will be empty
- OK applies the effect to the selected audio with the current effect settings and closes the dialog
- Cancel aborts the effect and leaves the audio unchanged, closing the dialog
- brings you to the appropriate page in the Manual, this page

## Links

|< Index of Effects, Generators and Analyzers

|< Generate Menu